#442 Wrong file sorting in pcmanfm

patches
closed-fixed
PCMan
None
5
2014-08-25
2011-04-18
Sérgio Cipolla
No

I'm re-opening this bug.
I use Debian sid with the latest menu-cache, libfm, pcmanfm and now also installed lxde-common from git.

pcmanfm used to show files/folders in a random order on the desktop when we login in LXDE; this is still happening.
Some time ago pcmanfm also displayed the files in that random order in its main window the first time it's opened. That had stopped and now I noticed this is happening again. It keeps displaying in this apparently random order in all directories until we manually set some other order than the default "ascending/by name".
I was using lxde-common from Debian and I only needed to delete /usr/share/lxde/pcmanfm/LXDE.conf for pcmanfm to display the files properly the first time it was opened (on the desktop they still displayed in a random order). Now I see that I have /etc/xdg/pcmanfm/default/pcmanfm.conf, /etc/xdg/pcmanfm/LXDE/pcmanfm.conf and /etc/xdg/pcmanfm/pcmanfm/pcmanfm.conf

While this may be another bug, I also noticed that /etc/xdg/pcmanfm/default/pcmanfm.conf and /etc/xdg/pcmanfm/pcmanfm/pcmanfm.conf have

[ui]
win_width=640
win_height=480
splitter_pos=150
view_mode=0
show_hidden=0
sort_type=0
sort_by=2
max_tab_chars=32

while /etc/xdg/pcmanfm/LXDE/pcmanfm.conf has

[ui]
always_show_tabs=0
hide_close_btn=0
win_width=640
win_height=480
view_mode=0
show_hidden=0
sort_type=0
sort_by=0

I don't know which were created by lxde-common and which by pcmanfm but both applications aren't matching in this subject.

To test more properly, I renamed /.config/pcmanfm before logging in with LXDE the first time after installing lxde-common from git. The session (startlxde, I suppose) created /.config/pcmanfm/default/ with root ownership. This seems to be a bug.
Compare the old folder with the newly created:

lxde@debian:/home/lxde/.config/pcmanfm-old$ ls -l
total 8
drwx------ 2 lxde lxde 4096 Abr 18 14:47 default
drwx------ 2 lxde lxde 4096 Abr 14 15:31 LXDE

lxde@debian:/home/lxde/.config/pcmanfm$ ls -l
total 8
drwx------ 2 root root 4096 Abr 18 19:09 default
drwxr-xr-x 2 lxde lxde 4096 Abr 18 19:10 LXDE

(this may be yet another bug but I'll leave it here for the while as it may be simpler)

I shall report any further news on the subject.

Discussion

1 2 > >> (Page 1 of 2)
  • Ok, in a subsequent login pcmanfm has proper ordering in its window. On the desktop, as usual, the ordering is random (can be corrected after changing the ordering mode but opens always with a random ordering).
    So pcmanfm suffers the random ordering in its window only at first login, when its local config file isn't yet created.

     
  • I logged into openbox session and while I could set pcmanfm's preferences during the session they weren't obviously saved as the filed was owned by root. But this may have been some malfunction because I subsequently deleted /.config/pcmanfm to carry on other tests and the other times the folder was created (by logging in LXDE session), only the 'LXDE' subfolder was created and not the 'default' one.

    Back to the ordering issue.
    I replaced /etc/xdg/pcmanfm/LXDE/pcmanfm.conf with a copy of the config in /etc/xdg/pcmanfm/default/pcmanfm.conf and entered LXDE session. This time the ordering in pcmanfm's window was correct.
    Then I returned to the original configuration file (after deleting the local configuration) and the random ordering appeared again.
    So definitely this issue is affected by pcmanfm.conf. The random ordering on the desktop, though, may have extra causes as it happens always.

    The complete files:
    /etc/xdg/pcmanfm/default/pcmanfm.conf and /etc/xdg/pcmanfm/pcmanfm/pcmanfm.conf

    [config]
    bm_open_method=0
    su_cmd=gksu %s

    [volume]
    mount_on_startup=1
    mount_removable=1
    autorun=1

    [desktop]
    wallpaper_mode=0
    desktop_bg=#000000
    desktop_fg=#ffffff
    desktop_shadow=#000000
    show_wm_menu=0

    [ui]
    win_width=640
    win_height=480
    splitter_pos=150
    view_mode=0
    show_hidden=0
    sort_type=0
    sort_by=2
    max_tab_chars=32

    /etc/xdg/pcmanfm/LXDE/pcmanfm.conf

    [config]
    bm_open_method=0
    su_cmd=xdg-su -c '%s'

    [desktop]
    wallpaper_mode=1
    wallpaper=/usr/share/lxde/wallpapers/lxde_blue.jpg
    desktop_bg=#000000
    desktop_fg=#ffffff
    desktop_shadow=#000000

    [ui]
    always_show_tabs=0
    hide_close_btn=0
    win_width=640
    win_height=480
    view_mode=0
    show_hidden=0
    sort_type=0
    sort_by=0

     
  • Removing (renaming) /etc/xdg/pcmanfm sets as /.config/pcmanfm/LXDE/pcmanfm.conf this file:

    [config]
    bm_open_method=0

    [volume]
    mount_on_startup=1
    mount_removable=1
    autorun=1

    [desktop]
    wallpaper_mode=0
    wallpaper=
    desktop_bg=#000000
    desktop_fg=#ffffff
    desktop_shadow=#000000
    desktop_font=Sans 12
    show_wm_menu=0

    [ui]
    always_show_tabs=0
    max_tab_chars=150
    win_width=640
    win_height=480
    splitter_pos=150
    view_mode=0
    show_hidden=1
    sort_type=0
    sort_by=2

    With it pcmanfm opens with proper ordering. The desktop still with random ordering.

     
    • summary: Wrong file sorting in pcmanfm (pt_BR.utf-8 locale) --> Wrong file sorting in pcmanfm
     
  • I can confirm that there still are issues with the sorting of files on the desktop.

    I just built libfm and pcmanfm from git HEAD and the files appear in "random" order every time (not random because they are in the same order with no particular relation to anything, inode order?).

    I recorded my desktop; the locale is Swedish but I think you will understand the point of it. Swedish have three special characters - åäö and they are sorted follow the standard ASCII sorting just after z ("...zåäö").

    http://l10n.bsnet.se/~brother/lxde/pcmanfm-desktop-file_sorting_broken.ogv the file is 5.8M in size.

     
  • PCMan
    PCMan
    2011-11-18

    • assigned_to: nobody --> pcmanx
    • milestone: --> patches
    • status: open --> open-later
     
  • PCMan
    PCMan
    2011-11-18

    Version 1.0 is in feature freeze and string freeze now.
    Let's fix this later in 1.5.

     
  • We hope this issue is completely fixed in the Git repository recently.
    Check it out when it's possible for you and if the bug still exists then reopen the report, please.
    Thank you very much.

     
    • status: open-later --> pending-later
     
    • status: pending-later --> pending-fixed
     
1 2 > >> (Page 1 of 2)